# 32/64bit spec-file
#

%define name pragha
%define version 1.1.2.1
%define release %mkrel 1

Summary:       Pragha is a lightweight GTK+ music manager.
Summary(de):   Pragha, die schlanke auf GTK+ basierende Musikverwaltung 
Name:          %{name}
Version:       %{version}
Release:       %{release}
Group:         Sound
License:       GPLv3
URL:           http://pragha.wikispaces.com/
Source0:       http://pragha.wikispaces.com/%{name}-%{version}.tar.xz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{_lib}flac8-devel
BuildRequires: mad-devel
BuildRequires: libvorbis-devel
BuildRequires: libnotify-devel
BuildRequires: libdbus-1-devel
BuildRequires: libmodplug-devel
BuildRequires: libcdio-devel
BuildRequires: desktop-file-utils 
BuildRequires: sqlite3-devel
BuildRequires: libxml2-devel
BuildRequires: taglib-devel 
BuildRequires: curl-devel 
BuildRequires: libao-devel
BuildRequires: libcddb-devel
BuildRequires: libsndfile-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}glib2.0_0-devel+
BuildRequires: libbzip2-devel 
BuildRequires: libgmime-devel
BuildRequires: libarchive-devel 
BuildRequires: %{_lib}keybinder-devel
Requires: taglib
Requires: libmad
Requires: dbus-glib
Requires: libvorbis


%description
Pragha is a lightweight GTK+ music manager that aims to be fast, bloat-free, 
and light on memory consumption. It is written completely in C and GTK+

This it is a fork of Consonance Music Manager

%description -l de
Ein schlanker Musikplayer mit Musikbibliothekunterstützung. Basierend auf GTK+ 
integriert sich der Player ideal in GNOME und XFCE und eignet sich aufgrund des 
schonenden Umgangs mit Ressourcen ganz besonders für schlanke Desktops wie 
Fluxbox, wofür er ursprünglich geschrieben wurde. 

Derzeit unterstützt Pragha das Abspielen von Audiodateien im MP3-, WAV-, OGG- 
und FLAC-Format, weitere Formate sollen im Laufe der Entwicklung folgen.

%prep
%setup -q 

%build
%configure2_5x 

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Pragha
Type=Application
Comment=A lightweight music manager
Comment[de]=Die schlanke Musikverwaltung 
Icon=%{name}
Exec=dbus-launch %{name}
Terminal=false
MimeType=audio/x-mp3;audio/mpeg;audio/x-mpeg;audio/mpeg3;audio/mp3;application/ogg;application/x-ogg;audio/vorbis;audio/x-vorbis;audio/ogg;audio/x-ogg;audio/x-flac;application/x-flac;audio/flac;audio/x-wav
Categories=AudioVideo;Player;X-MandrivaLinux-Multimedia-Sound
X-Desktop-File-Install-Version=0.11
EOF

# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 data/%name.png %buildroot/%_liconsdir/%name.png
convert -scale 48 %buildroot/%_liconsdir/%name.png %buildroot/%_liconsdir/%name.png
install -m 644 data/%name.png %buildroot/%_iconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m 644 data/%name.png %buildroot/%_miconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
# get system users and add default pragha config file to home/root folder
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do
mkdir -p /home/$idx/.config/pragha/ && \
cat > /home/$idx/.config/pragha/config << EOF
[Audio]
audio_sink=alsa
EOF

mkdir -p /root/.config/pragha/ && \
cat > /root/.config/pragha/config << EOF
[Audio]
audio_sink=alsa
EOF

# reset permissions
chown -R $idx.`id -gn $idx` /home/$idx/.config/pragha/
chown -R $idx.`id -gn $idx` /home/$idx/.config/pragha/config
done
gtk-update-icon-cache -f -t /usr/share/icons/hicolor


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog COPYING FAQ AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/pragha.png
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/man/man1/*
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Thu Feb 25 2014 bb <bb> 1.1.2.1-1pclos2014
- update drop dep on totem stuff

* Thu Feb 28 2013 pinoc <vogtpet at gmail.com> 1.1.2-1pclos2013
- corrected BR for 64

* Wed Feb 27 2013 Ken <lxgator at gmail.com> 1.1.2-1pclos2013
- 1.1.2

* Fri Aug 24 2012 Ken <lxgator at gmail.com> 1.1.1-1pclos2012
- 1.1.1

* Thu Sep 13 2011 leiche <meisssw01 at gmail.com> 0.8.10-1leiche2011
- 0.8.10

* Mon Jan 17 2011 leiche <meisssw01 at aol.com> 0.8.4-1leiche2011
- update 0.8.4
- convert archive to tar.xz

* Sun Aug 22 2010 leiche <meisssw01 at aol.com> 0.8.0.2-1pclos2010
- update 0.8.0.2

* Fri Jun 25 2010 leiche <meisssw01 at aol.com> 0.7.7.1-1pclos2010
- update 0.7.7.1

* Thu Jun 24 2010 leiche <meisssw01 at aol.com> 0.7.7-1pclos2010
- update 0.7.7

* Sat Jun 19 2010 leiche <meisssw01 at aol.com> 0.7.6-1pclos2010
- 0.7.6

* Thu May 20 2010 slick50 <lxgator@gmail.com> 0.7.5.1-1pclos2010
- 0.7.5.1

* Sun Mar 28 2010 Texstar <texstar at gmail.com> 0.7.3-2pclos2010
- rebuild against updated libao

* Fri Mar 12 2010 slick50 <lxgator@gmail.com> 0.7.3-1pclos2010
- 0.7.3

* Sat Feb 20 2010 slick50 <lxgator@gmail.com> 0.7.2-1pclos2010
- 0.7.2

* Tue Oct 27 2009 slick50 <lxgator@gmail.com> 0.7.1-1pclos2010
- 0.7.1

* Sat Oct 03 2009 slick50 <lxgator@gmail.com> 0.7.0-1pclos2010
- 0.7.0

* Wed Sep 09 2009 slick50 <lxgator@gmail.com> 0.6.3.1-1pclos2009
- 0.6.3.1
- add missing build requires libsndfile-devel (tex)

* Sat Aug 08 2009 slick50 <lxgator@gmail.com> 0.6.3-1pclos2009
- 0.6.3

* Sat Jul 11 2009 slick50 <lxgator@gmail.com> 0.6.2.2-1pclos2009
- 0.6.2.2

* Sat Jul 04 2009 slick50 <lxgator@gmail.com> 0.6.2-1pclos2009
- 0.6.2

* Thu Jun 25 2009 slick50 <lxgator@gmail.com> 0.6.1-1pclos2009
- initial build
